List entries
curl --request GET \
--url https://api.panoqore.example/v1/entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"entries": [
{
"id": "<string>",
"status": "PENDING",
"kind": "<string>",
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"businessDate": "<string>",
"externalRef": "<string>",
"reversesId": "<string>",
"reversedById": "<string>",
"fxRateId": "<string>",
"holdId": "<string>",
"postings": [
{
"id": "<string>",
"entryId": "<string>",
"accountId": "<string>",
"side": "DEBIT",
"amount": "<string>",
"currency": "<string>",
"seq": 123,
"accountName": "<string>",
"accountCode": "<string>",
"balanceAfter": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"metadata": {},
"createdBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvedBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"latePosting": true,
"postedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"statusNote": "<string>"
}
],
"page": {
"nextCursor": "<string>",
"total": "<string>"
},
"kindCounts": {}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Entries
List entries
Scope: any one of read, entries:write.
GET
/
v1
/
entries
List entries
curl --request GET \
--url https://api.panoqore.example/v1/entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.panoqore.example/v1/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"entries": [
{
"id": "<string>",
"status": "PENDING",
"kind": "<string>",
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"businessDate": "<string>",
"externalRef": "<string>",
"reversesId": "<string>",
"reversedById": "<string>",
"fxRateId": "<string>",
"holdId": "<string>",
"postings": [
{
"id": "<string>",
"entryId": "<string>",
"accountId": "<string>",
"side": "DEBIT",
"amount": "<string>",
"currency": "<string>",
"seq": 123,
"accountName": "<string>",
"accountCode": "<string>",
"balanceAfter": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"metadata": {},
"createdBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvedBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"latePosting": true,
"postedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"statusNote": "<string>"
}
],
"page": {
"nextCursor": "<string>",
"total": "<string>"
},
"kindCounts": {}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Authorizations
An API key, pk_live_… or pk_test_….
Query Parameters
1..200, default 50
id, external_ref or description
Available options:
PENDING, POSTED, VOIDED Example:
"TRANSFER"
Example:
"NGN"
the whole reference, exactly; an index lookup, unlike query
Example:
"order-1042"